Package tigase.workgroupqueues.data

## Class WorkgroupQueueEntity

- java.lang.Object
- - tigase.workgroupqueues.data.WorkgroupQueueEntity

-     public class WorkgroupQueueEntity
      extends java.lang.Object

  Data Object Class. Represents queue stored in database.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkgroupQueueEntity​(BareJID jid)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `BareJID[]` | `getAgents()` | Returns list of JIDs allowed to be agent in this queue.
    `java.util.Date` | `getCreationDate()` |
    `BareJID` | `getCreatorJid()` |
    `java.lang.String` | `getDescription()` | Returns human readable description of workgroup queue.
    `BareJID` | `getJid()` | Returns JID of workgroup queue.
    `java.lang.String` | `getMucDomain()` | Returns MUC Component domain name.
    `int` | `hashCode()` |
    `void` | `setAgents​(BareJID[] agents)` | Sets list of JIDs allowed to be agent.
    `void` | `setCreationDate​(java.util.Date creationDate)` |
    `void` | `setCreatorJid​(BareJID creatorJid)` |
    `void` | `setDescription​(java.lang.String description)` | Sets human readable description of workgroup queue.
    `void` | `setMucDomain​(java.lang.String mucDomain)` | Sets MUC Component domain name.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkgroupQueueEntity

          public WorkgroupQueueEntity​(BareJID jid)

  - ### Method Detail

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getAgents

          public BareJID[] getAgents()

      Returns list of JIDs allowed to be agent in this queue.
      Returns:
        arrays of agents JIDs

    - #### setAgents

          public void setAgents​(BareJID[] agents)

      Sets list of JIDs allowed to be agent.
      Parameters:
        `agents` - agents JIDs

    - #### getCreationDate

          public java.util.Date getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(java.util.Date creationDate)

    - #### getCreatorJid

          public BareJID getCreatorJid()

    - #### setCreatorJid

          public void setCreatorJid​(BareJID creatorJid)

    - #### getDescription

          public java.lang.String getDescription()

      Returns human readable description of workgroup queue.
      Returns:
        human readable description of workgroup queue.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets human readable description of workgroup queue.
      Parameters:
        `description` - human readable description of workgroup queue.

    - #### getJid

          public BareJID getJid()

      Returns JID of workgroup queue.
      Returns:
        JID

    - #### getMucDomain

          public java.lang.String getMucDomain()

      Returns MUC Component domain name. Can be `null`, then default will be used.
      Returns:
        domain of MUC Component

    - #### setMucDomain

          public void setMucDomain​(java.lang.String mucDomain)

      Sets MUC Component domain name. Can be `null`, then default will be used.
      Parameters:
        `mucDomain` - domain od MUC

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`